package com.adc.da.main.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.TaskScheduler;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler;

/**
 * 定时任务配置
 **/
@EnableScheduling
@Configuration
public class ScheduleConfig {


    private static final int POOL_SIZE = Runtime.getRuntime().availableProcessors() * 2;

    @Bean
    public TaskScheduler epcTaskScheduler() {
        ThreadPoolTaskScheduler taskExecutor = new ThreadPoolTaskScheduler();
        taskExecutor.setPoolSize(POOL_SIZE);
        taskExecutor.setThreadNamePrefix("znks-task-schedule-");
        return taskExecutor;
    }
}
