package com.adc.da.znks.controller;

import com.adc.da.base.web.BaseController;
import com.adc.da.util.utils.UUID;
import com.adc.da.znks.entity.Gateway;
import com.adc.da.znks.entity.ResponseEntity;
import com.adc.da.znks.entity.User;
import com.adc.da.znks.service.GatewayService;
import com.adc.da.znks.service.UserService;
import com.adc.da.znks.util.GenResponse;
import com.adc.da.znks.util.SystemValue;
import com.adc.da.znks.vo.GatewayVO;
import io.netty.channel.Channel;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author David
 */
@RestController
@RequestMapping("/api/gateway")
@Api(description = "| Gateway |")
public class GatewayController extends BaseController<Gateway> {

    @Autowired
    private GatewayService gatewayService;

    @Autowired
    private UserService userService;

    @PostMapping("/save")
    public ResponseEntity save(GatewayVO gateway) {
        User user = userService.getByPhoneNumber(gateway.getPhoneNumber());
        try {
            if(SystemValue.channelMap.get(gateway.getMacAddress())!=null){
                Channel ch = ((Channel) SystemValue.channelMap.get(gateway.getMacAddress()));
                if(ch.isActive() && ch.isOpen()){
                    gateway.setId(UUID.randomUUID());
                    gateway.setUserId(user.getId());
                    gateway.setMacAddress(gateway.getMacAddress().toUpperCase());
                    List<Gateway> list = gatewayService.checkGateWay(user.getId(),gateway.getMacAddress().toUpperCase());
                    if(list.isEmpty()){
                        int count = gatewayService.insertSelective(gateway);
                        if(count > 0) {
                            return GenResponse.success();
                        } else {
                            return GenResponse.fail("保存失败");
                        }
                    }else{
                        return GenResponse.fail("数据已存在");
                    }
                }else{
                    return GenResponse.fail("网关链路关闭，保存失败");
                }
            }else{
                return GenResponse.fail("网关未连接，保存失败");
            }
        } catch (Exception e) {
            e.printStackTrace();
            return GenResponse.fail("保存失败");
        }
    }


    @PostMapping("/update")
    public ResponseEntity update(String phoneNumber,String macAddress) {
        User user = userService.getByPhoneNumber(phoneNumber);
        if(user!=null){
            if(gatewayService.updateMac(user.getId(),macAddress.toUpperCase())){
                return GenResponse.success();
            }
        }else{
            return GenResponse.fail("用户信息获取失败");
        }
        return GenResponse.fail("网关mac更新失败");
    }

    @GetMapping("/isHaveGateway")
    public ResponseEntity<Boolean> isHaveGateway(String phoneNumber) {
        boolean flag = gatewayService.getByPhoneNumber(phoneNumber);
        return GenResponse.success("0", "", flag);
    }

}
