package com.adc.da.znks.controller;

import com.adc.da.znks.entity.ResponseEntity;
import com.adc.da.znks.service.LockRecordService;
import com.adc.da.znks.util.GenResponse;
import com.adc.da.znks.vo.AdminVO;
import com.adc.da.znks.vo.LockRecordVO;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api")
public class LockRecordController {

    @Autowired
    private LockRecordService lockRecordService;

    @ApiOperation("lockRecord|开锁记录查询")
    @GetMapping("/lockRecord/page")
    public ResponseEntity<PageInfo> listLockRecordsByPage(String phone, String deviceName, @RequestParam(defaultValue = "1") Integer pageNum, @RequestParam(defaultValue = "8") Integer pageSize) {
        try {
            PageHelper.startPage(pageNum, pageSize);
            List<LockRecordVO> lockRecordVOS = lockRecordService.listLockRecordVOs(phone, deviceName, pageNum, pageSize);
            PageInfo<LockRecordVO> pageInfo = new PageInfo<>(lockRecordVOS);
            return GenResponse.success(String.valueOf(HttpStatus.OK.value()),
                    "查询成功", pageInfo);
        } catch (Exception e) {
            e.printStackTrace();
            return GenResponse.fail("没有可分页的锁记录");
        }
    }
}
