package com.adc.da.znks.dao;

import com.adc.da.znks.entity.Admin;
import com.adc.da.znks.vo.AdminSearch;
import com.adc.da.znks.vo.AdminVO;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
 * @author ley
 **/
@Mapper
public interface AdminDao {

    @Insert("insert into tb_admin(admin_id,admin_name,admin_password,create_time) " +
            "values(#{adminId},#{name},#{password},#{createTime})")
    int insertAdmin(Admin admin);


    @Delete("delete from tb_admin where admin_name = #{adminName}")
    int deleteAdmin(@Param("adminName") String adminName);


    int updateAdmin(Admin admin);


    List<AdminVO> listAdminsByCondition(@Param("adminSearch") AdminSearch adminSearch, @Param("pageNum") Integer pageNum,@Param("pageSize") Integer pageSize);


    @Select("select * from tb_admin where admin_name = #{param1}")
    @Results({
            @Result(column = "create_time", property = "createTime"),
            @Result(column = "admin_name", property = "name"),
            @Result(column = "admin_password", property = "password"),
            @Result(column = "admin_id",property = "adminId")
    }
    )
    Admin findAdminByAdminName(String adminName);
}
