package com.adc.da.znks.dao;

import com.adc.da.base.dao.BaseDao;
import com.adc.da.znks.entity.Device;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @author David
 */
@Mapper
public interface DeviceDao extends BaseDao<Device> {

    /**
     * 根据手机号查询改手机号下的所有设备
     * @param phoneNumber
     * @return
     */
    List<Device> listByPhoneNumber(String phoneNumber);

    void deleteDeviceById(@Param("id") String id);

    @Select("select t.* from tb_device t where t.mac_address = #{macAddress} and t.code = #{deviceCode} ")
    List<Map<String,Object>> getDeviceId(@Param("macAddress") String macAddress,@Param("deviceCode") String deviceCode);

    @Select("SELECT\n" +
            "                    g.mac_address\n" +
            "                FROM\n" +
            "                    tb_user t,\n" +
            "                    tb_gateway g\n" +
            "                WHERE\n" +
            "                    t.id = g.user_id\n" +
            "                AND t.temphone = #{phone}")
    List<Map<String,Object>> getMacByPhone(@Param("phone") String phone);

    List<Map<String,Object>> checkDevice(@Param("name") String name,@Param("code") int code,@Param("type") int type,@Param("userId") String userId);

}
