package com.adc.da.znks.dao;

import com.adc.da.base.dao.BaseDao;
import com.adc.da.znks.entity.Gateway;
import org.apache.ibatis.annotations.*;

import java.util.List;
import java.util.Map;

@Mapper
public interface GatewayDao extends BaseDao<Gateway> {

    /**
     * 根据手机号查询网关相关信息
     * @param phoneNumber
     * @return
     */
    Gateway getByPhoneNumber(String phoneNumber);

    void updateIpByMac(Gateway gateway);

    List<Map<String,Object>> selectIp(@Param("ip") String ip);

    @Delete("delete from tb_device where user_id = #{userId}")
    int deleteDeviceByUser(@Param("userId") String userId);

    @Delete("delete from tb_lock_record where device_id in (select code from tb_device where user_id = #{userId})")
    int deleteRecordByUser(@Param("userId") String userId);

    @Update("update tb_gateway set mac_address = #{macAddress} where user_id = #{userId}")
    int updateMacByUser(@Param("userId") String userId,@Param("macAddress") String macAddress);

    List<Gateway> checkGateWay(@Param("userId") String userId,@Param("macAddress") String macAddress);

}
