package com.adc.da.znks.dao;

import com.adc.da.base.dao.BaseDao;
import com.adc.da.znks.entity.Position;
import com.adc.da.znks.vo.PositionVO;
import org.apache.ibatis.annotations.*;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <br>
 * <b>功能：</b>PositionDao<br>
 */
@Mapper
public interface PositionDao extends BaseDao<Position> {

    List<PositionVO> listPositionByPage(@Param("telphone") String telphone, @Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize);


    Integer getCurrentDayUsers(@Param("currentDay") Date currentDayTime);


    /**
     * 获得天津每个地区的人数,每1小时统计一次
     *
     **/
    int getUserCountInTianJinPerArea(@Param("area") String area);


    /**
     * 获得每两小时间段的人数
     *
     * @param recordTime1 当前时间的前1个小时
     * @param currentTime 当前时间
     **/
    Integer getUserCountByPerHour(@Param("recordTime1") String recordTime1, @Param("currentTime") String currentTime);
}
