package com.adc.da.znks.dao;

;
import com.adc.da.base.dao.BaseDao;
import com.adc.da.znks.entity.User;
import com.adc.da.znks.vo.UserSearch;
import com.adc.da.znks.vo.UserVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;
import java.util.Map;

/**
 *
 * <br>
 * <b>功能：</b>UserDao<br>
 */
@Mapper
public interface UserDao extends BaseDao<User> {

    @Select("SELECT * FROM tb_user WHERE temphone = #{phoneNumber} limit 1")
    User getUserByPhoneNumber(@Param("phoneNumber") String phoneNumber);

    List<Map<String,Object>> queryMacByPhone(@Param("phone") String phone);

    @Update("UPDATE tb_user SET client_id = #{clientId} WHERE temphone = #{phoneNumber}")
    int updateClientIdByPhoneNumber(@Param("clientId")String clientId, @Param("phoneNumber")String phoneNumber);

    List<Map<String,Object>> queryClientByMac(@Param("macAddress") String macAddress);

    @Select("select way.mac_address from tb_user ur,tb_gateway way where ur.id = way.user_id\n" +
            " and ur.temphone = #{phoneNumber}")
    List<Map<String,Object>> getGateWayByPhoneNumber(@Param("phoneNumber") String phoneNumber);


    /**
     * 获取用户列表
     * **/
    List<UserVO> listUserVOs(@Param("userSearch") UserSearch userSearch,
                            @Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize);

    int updateHomeName(User user);

    List<User> selectHomeNameByPhone(@Param("temphone") String temphone);

}
