package com.adc.da.znks.service;

import com.adc.da.base.dao.BaseDao;
import com.adc.da.base.service.BaseService;
import com.adc.da.znks.dao.DeviceDao;
import com.adc.da.znks.entity.Device;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * @author David
 */
@Service
@Transactional(value = "transactionManager", propagation = Propagation.REQUIRED, rollbackFor = Throwable.class)
public class DeviceService extends BaseService<Device, String> {

    @Autowired(required = false)
    private DeviceDao dao;

    @Override
    public BaseDao<Device> getDao() {
        return dao;
    }

    public List<Device> listByPhoneNumber(String phoneNumber) {
        return dao.listByPhoneNumber(phoneNumber);
    }

    public void deleteDeviceById(String id){
        dao.deleteDeviceById(id);
    }

    public String getDeviceId(String macAddress,String deviceCode){

        List<Map<String,Object>> list = dao.getDeviceId(macAddress,deviceCode);
        return list.get(0)!=null?list.get(0).get("id").toString():"";
    }

    public String getMacByPhone(String phone){
        return dao.getMacByPhone(phone)!=null?dao.getMacByPhone(phone).get(0).get("mac_address").toString():"";
    }

    public List<Map<String,Object>> checkDevice(Device device){
        return dao.checkDevice(device.getName(),device.getCode(),device.getType(),device.getUserId());
    }
}
