package com.adc.da.znks.service;

import com.adc.da.base.service.BaseService;
import com.adc.da.znks.dao.PositionDao;
import com.adc.da.znks.entity.Position;
import com.adc.da.znks.vo.PositionVO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * <br>
 * <b>功能：</b>PositionService<br>
 */
@Service("positionService")
@Transactional(value = "transactionManager", propagation = Propagation.REQUIRED, rollbackFor = Throwable.class)
public class PositionService extends BaseService<Position, String> {

    private static final Logger logger = LoggerFactory.getLogger(PositionService.class);

    @Autowired(required = false)
    private PositionDao dao;

    public PositionDao getDao() {
        return dao;
    }

    public List<PositionVO> listPositionsByPage(String telphone, Integer pageNum, Integer pageSize) {
        return dao.listPositionByPage(telphone,pageNum, pageSize);
    }


}
