CREATE TABLE T_VEC_BASEINFO (
	id INT NOT NULL  PRIMARY KEY,
	base_info VARCHAR2(1000) DEFAULT(''),
	catarc_code VARCHAR2(60) DEFAULT	(''),
	vin_time DATE	 DEFAULT	 SYSDATE NOT NULL,
	create_time DATE DEFAULT	 SYSDATE NOT NULL,
	update_time DATE DEFAULT	 SYSDATE NOT NULL
	)

CREATE SEQUENCE SEQ_TS_USER
 MINVALUE 1
 START WITH 1
 NOMAXVALUE
 INCREMENT BY 1
 NOCYCLE
CACHE 30
CREATE TABLE "TS_USER" (
	"USID" NUMBER(20,0) NOT NULL ENABLE,
	"ACCOUNT" VARCHAR2(255 CHAR) NOT NULL ENABLE,
	"DEL_FLAG" NUMBER(10,0),
	"PASSWORD" VARCHAR2(255 CHAR) NOT NULL ENABLE,
	"USNAME" VARCHAR2(255 CHAR),
	PRIMARY KEY ("USID")
)

CREATE SEQUENCE SEQ_TS_ROLE
 MINVALUE 1
 START WITH 1
 NOMAXVALUE
 INCREMENT BY 1
 NOCYCLE
CACHE 30
CREATE TABLE "TS_ROLE" (
	"ID" NUMBER(20,0) NOT NULL ENABLE,
	"DATA_SCOPE" NUMBER(10,0),
	"DEL_FLAG" NUMBER(10,0),
	"IS_DEFAULT" NUMBER(10,0),
	"NAME" VARCHAR2(255 CHAR),
	"REMARKS" VARCHAR2(255 CHAR),
	PRIMARY KEY ("ID")
)

CREATE SEQUENCE SEQ_TS_MENU
 MINVALUE 1
 START WITH 1
 NOMAXVALUE
 INCREMENT BY 1
 NOCYCLE
CACHE 30
CREATE TABLE "TS_MENU" (
	"ID" NUMBER(20,0) NOT NULL ENABLE,
	"DEL_FLAG" NUMBER(10,0),
	"NAME" VARCHAR2(255 CHAR), 
	"PARENT_ID" VARCHAR2(255 CHAR), 
	"PARENT_IDS" VARCHAR2(255 CHAR), 
	"HREF" VARCHAR2(255 CHAR), 
	"ICON" VARCHAR2(255 CHAR), 
	"IS_SHOW" NUMBER(10,0), 
	"PERMISSION" VARCHAR2(255 CHAR), 
	"REMARKS" VARCHAR2(255 CHAR), 
	"SORT" VARCHAR2(255 CHAR), 
	 PRIMARY KEY ("ID")
)
CREATE TABLE "TR_USER_ROLE" (	
	"USER_ID" NUMBER(20,0) NOT NULL ENABLE, 
	"ROLE_ID" NUMBER(20,0) NOT NULL ENABLE, 
	PRIMARY KEY ("USER_ID", "ROLE_ID")
)
CREATE TABLE "TR_ROLE_MENU" (
	"ROLE_ID" NUMBER(20,0) NOT NULL ENABLE,
	"MENU_ID" NUMBER(20,0) NOT NULL ENABLE,
	PRIMARY KEY ("ROLE_ID", "MENU_ID")
)

CREATE SEQUENCE SEQ_TS_LOG
  MINVALUE 1
  START WITH 1
  NOMAXVALUE
  INCREMENT BY 1
  NOCYCLE
  CACHE 30
CREATE TABLE "TS_LOG" (
  "ID" NUMBER(20,0) NOT NULL ENABLE,
  "ACCOUNT" VARCHAR2(255 CHAR),
  "CLASS_NAME" VARCHAR2(255 CHAR),
  "DESCRIPTION" VARCHAR2(255 CHAR),
  "METHOD" VARCHAR2(255 CHAR),
  "OPERATE_TIME" TIMESTAMP (6),
  "USID" VARCHAR2(255 CHAR),
  PRIMARY KEY ("ID")
)

CREATE SEQUENCE SEQ_TS_FILE
  MINVALUE 1
  START WITH 1
  NOMAXVALUE
  INCREMENT BY 1
  NOCYCLE
  CACHE 30
CREATE TABLE "TS_FILE" (
  "FILE_ID" VARCHAR2(255 CHAR) NOT NULL ENABLE, 
  "CONTENT_TYPE" VARCHAR2(255 CHAR), 
  "CREATE_TIME" TIMESTAMP (6), 
  "FILE_NAME" VARCHAR2(255 CHAR), 
  "FILE_TYPE" VARCHAR2(255 CHAR), 
  "LAST_UPDATE_TIME" TIMESTAMP (6), 
  "REMARK" VARCHAR2(255 CHAR), 
  "SAVE_PATH" VARCHAR2(255 CHAR), 
  "URL" VARCHAR2(255 CHAR), 
  "USER_ID" VARCHAR2(255 CHAR), 
  PRIMARY KEY ("FILE_ID")
)

CREATE SEQUENCE SEQ_TS_ORDER
  MINVALUE 1
  START WITH 1
  NOMAXVALUE
  INCREMENT BY 1
  NOCYCLE
  CACHE 30
CREATE TABLE "TS_ORDER" (
  "ORDER_ID" NUMBER(20,0) NOT NULL ENABLE,
  "TITLE" VARCHAR2(255 CHAR),
  "CONTENT" VARCHAR2(255 CHAR),
  "ORDER_TYPE" VARCHAR2(255 CHAR),
  "ORDER_SUM" NUMBER(20,2),
  "CREATE_TIME" TIMESTAMP (6),
  "USER_ID" VARCHAR2(255 CHAR),
  PRIMARY KEY ("ORDER_ID")
)